cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/services/{serviceName}import requests
url = "https://api.staging.qyl.dev/api/v1/services/{serviceName}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/services/{serviceName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"instance_count": 123,
"last_seen": "2023-11-07T05:31:56Z",
"resource_attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"instrumentation_libraries": [
{
"name": "<string>",
"version": "2.1.0",
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"dropped_attributes_count": 1
}
],
"request_rate": 123,
"error_rate": 0.5,
"avg_latency_ms": 123,
"p99_latency_ms": 123,
"namespace_name": "<string>",
"version": "2.1.0"
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Services
Get apiv1services 1
Get service details
GET
/
api
/
v1
/
services
/
{serviceName}
cURL
Path Parameters
Response
The request has succeeded.
Service details
Service name
Instance count
Last seen
Resource attributes
Show child attributes
Show child attributes
Instrumentation libraries
Show child attributes
Show child attributes
Request rate (per second)
Error rate
Required range:
0 <= x <= 1Average latency in milliseconds
P99 latency in milliseconds
Service namespace
Service version
Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$Example:
"2.1.0"
Was this page helpful?
